# TdApi.SetAuthenticationEmailAddress (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetAuthenticationEmailAddress

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetAuthenticationEmailAddress

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetAuthenticationEmailAddress

Enclosing class:
  TdApi

public static final class TdApi.SetAuthenticationEmailAddress extends TdApi.Function<TdApi.Ok>
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emailAddress`
The email address of the user.

## Constructor Summary

Constructors
Constructor
Description
`SetAuthenticationEmailAddress()`
Sets the email address of the user and sends an authentication code to the email address.
`SetAuthenticationEmailAddress(DataInput input)`
Sets the email address of the user and sends an authentication code to the email address.
`SetAuthenticationEmailAddress(String emailAddress)`
Sets the email address of the user and sends an authentication code to the email address.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### emailAddress

public String emailAddress
The email address of the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetAuthenticationEmailAddress

public SetAuthenticationEmailAddress()
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress. Returns `Ok`

### SetAuthenticationEmailAddress

public SetAuthenticationEmailAddress(String emailAddress)
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress. Returns `Ok`

Parameters:
  `emailAddress` - String The email address of the user.

### SetAuthenticationEmailAddress

public SetAuthenticationEmailAddress(DataInput input) throws IOException
Sets the email address of the user and sends an authentication code to the email address. Works only when the current authorization state is authorizationStateWaitEmailAddress. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`